import React from "react";
import ReactDOM from "react-dom";
import Theme from "./components/Theme";
import DemoSite from "./components/DemoSite";
import DatasetViewer from "./components/DatasetViewer";
import NLPAnnotator from './components/NLPAnnotator';
var labels = [{
  id: "gryffindor",
  displayName: "Gryffindor",
  description: "Daring, strong nerve and chivalry."
}, {
  id: "slytherin",
  displayName: "Slytherin",
  description: "Cunning and ambitious. Possibly dark wizard."
}];
ReactDOM.render( /*#__PURE__*/React.createElement(Theme, null, window.location.search.includes("load_url") ? /*#__PURE__*/React.createElement(DatasetViewer, null) : /*#__PURE__*/React.createElement(NLPAnnotator, {
  type: "label-relationships",
  labels: labels,
  multipleLabels: false,
  showHeader: false,
  document: "Harry was an honest to god good man",
  onChange: function onChange(output) {
    console.log("Output is...", output);
  } // onFinish={() =>{}}
  ,
  onNext: function onNext(e) {
    console.warn('alex', e);
  },
  onPrev: function onPrev(e) {
    console.warn('alex', e);
  } // this is just for label-relationships
  ,
  entityLabels: labels,
  relationshipLabels: labels // initialSequence={initialSequence.length > 0 && initialSequence}

})), document.getElementById("root"));